/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.service.impl;

import com.rjconsultores.ventaboletos.dao.ComisionistaExternoDAO;
import com.rjconsultores.ventaboletos.entidad.ComisionistaExterno;
import com.rjconsultores.ventaboletos.service.ComisionistaExternoService;
import com.rjconsultores.ventaboletos.utilerias.UsuarioLogado;
import java.util.Calendar;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

/**
 *
 * @author Administrador
 */
@Service("comisionistaExternoService")
public class ComisionistaExternoServiceImpl implements ComisionistaExternoService {

    @Autowired
    private ComisionistaExternoDAO comisionistaExternoDAO;

    public List<ComisionistaExterno> obtenerTodos() {
        return comisionistaExternoDAO.obtenerTodos();
    }

    public ComisionistaExterno obtenerID(Integer id) {
        return comisionistaExternoDAO.obtenerID(id);
    }

    @Transactional
    public ComisionistaExterno suscribir(ComisionistaExterno entidad) {
        entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
        entidad.setFecmodif(Calendar.getInstance().getTime());
        entidad.setActivo(Boolean.TRUE);

        return comisionistaExternoDAO.suscribir(entidad);
    }

    @Transactional
    public ComisionistaExterno actualizacion(ComisionistaExterno entidad) {
        entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
        entidad.setFecmodif(Calendar.getInstance().getTime());
        entidad.setActivo(Boolean.TRUE);

        return comisionistaExternoDAO.actualizacion(entidad);
    }

    @Transactional
    public void borrar(ComisionistaExterno entidad) {
        entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
        entidad.setFecmodif(Calendar.getInstance().getTime());
        entidad.setActivo(Boolean.FALSE);

        comisionistaExternoDAO.actualizacion(entidad);
    }

    public List<ComisionistaExterno> buscar(String desccomisionista) {
        return comisionistaExternoDAO.buscar(desccomisionista);
    }
}
